#!/bin/bash

ICONPATH="/usr/share/icons/oxygen"

CONVERT="rsvg -w 64 -f png"

mkdir 64x64
mkdir 128x128

$CONVERT $ICONPATH/scalable/status/audio-volume-high.svgz 64x64/audio-volume-high.png
$CONVERT $ICONPATH/scalable/status/audio-volume-medium.svgz 64x64/audio-volume-medium.png
$CONVERT $ICONPATH/scalable/status/audio-volume-low.svgz 64x64/audio-volume-low.png

$CONVERT $ICONPATH/scalable/status/battery-100.svgz 64x64/battery-100.png
$CONVERT $ICONPATH/scalable/status/battery-080.svgz 64x64/battery-080.png
$CONVERT $ICONPATH/scalable/status/battery-060.svgz 64x64/battery-060.png
$CONVERT $ICONPATH/scalable/status/battery-040.svgz 64x64/battery-040.png
$CONVERT $ICONPATH/scalable/status/battery-low.svgz 64x64/battery-low.png

$CONVERT $ICONPATH/scalable/status/battery-charging.svgz 64x64/battery-charging.png
$CONVERT $ICONPATH/scalable/status/battery-charging-080.svgz 64x64/battery-charging-080.png
$CONVERT $ICONPATH/scalable/status/battery-charging-060.svgz 64x64/battery-charging-060.png
$CONVERT $ICONPATH/scalable/status/battery-charging-040.svgz 64x64/battery-charging-040.png
$CONVERT $ICONPATH/scalable/status/battery-charging-low.svgz 64x64/battery-charging-low.png


CONVERT="rsvg -w 128 -f png"

$CONVERT $ICONPATH/scalable/status/audio-volume-high.svgz 128x128/audio-volume-high.png
$CONVERT $ICONPATH/scalable/status/audio-volume-medium.svgz 128x128/audio-volume-medium.png
$CONVERT $ICONPATH/scalable/status/audio-volume-low.svgz 128x128/audio-volume-low.png

$CONVERT $ICONPATH/scalable/status/battery-100.svgz 128x128/battery-100.png
$CONVERT $ICONPATH/scalable/status/battery-080.svgz 128x128/battery-080.png
$CONVERT $ICONPATH/scalable/status/battery-060.svgz 128x128/battery-060.png
$CONVERT $ICONPATH/scalable/status/battery-040.svgz 128x128/battery-040.png
$CONVERT $ICONPATH/scalable/status/battery-low.svgz 128x128/battery-low.png

$CONVERT $ICONPATH/scalable/status/battery-charging.svgz 128x128/battery-charging.png
$CONVERT $ICONPATH/scalable/status/battery-charging-080.svgz 128x128/battery-charging-080.png
$CONVERT $ICONPATH/scalable/status/battery-charging-060.svgz 128x128/battery-charging-060.png
$CONVERT $ICONPATH/scalable/status/battery-charging-040.svgz 128x128/battery-charging-040.png
$CONVERT $ICONPATH/scalable/status/battery-charging-low.svgz 128x128/battery-charging-low.png

cd 64x64
mv *.png $ICONPATH/64x64/status/

cd ../128x128
mv *.png $ICONPATH/128x128/status/

cd ..
rm -r 64x64 128x128

